UNAME(1)

NAME
uname - print system information

SYNOPSIS
uname [OPTION]...

DESCRIPTION

Print certain system information. With no OPTION, same as -s.

-a, --all
    print all information

-m, --machine
    print the machine (hardware) type

-n, --nodename
    print the machine's network node hostname

-r, --release
    print the operating system release

-s, --sysname
    print the operating system name

-p, --processor
    print the host processor type

-v  print the operating system version

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by David MacKenzie.

REPORTING BUGS
Report bugs to <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 2000 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for uname is maintained as a Texinfo manual. If the info and uname programs are properly installed at your site, the command

    info uname

should give you access to the complete manual.